## xdoclet.modules.objectweb.jonas.ejb
Class JonasSubTask

    java.lang.Object
      xdoclet.DocletSupport
          xdoclet.SubTask
              xdoclet.TemplateSubTask
                  xdoclet.XmlSubTask
                      xdoclet.modules.ejb.dd.AbstractEjbDeploymentDescriptorSubTask
                          xdoclet.modules.objectweb.jonas.ejb.JonasSubTask

All Implemented Interfaces:
  Serializable

public class JonasSubTask
extends AbstractEjbDeploymentDescriptorSubTask

Generates the deployment descriptor for JOnAS.

Version:
  $Revision: 1.6 $
Author:
  Richard Chuo (forthy@mac.com), Mathieu Peltier (mathieu.peltier@inrialpes.fr), Philippe Charaux (philippe.charaux@bull.net)
See Also:
  Serialized Form
ant.element
  display-name="JOnAS" name="jonas" parent="xdoclet.modules.ejb.EjbDocletTask"
created
  11 juillet 2002

Nested Class Summary
`static class` `JonasSubTask.JonasVersionTypes` JonasVersionTypes class.

Nested classes inherited from class xdoclet.TemplateSubTask
`TemplateSubTask.ExtentTypes, TemplateSubTask.OfType`

Field Summary

Fields inherited from class xdoclet.DocletSupport
`currentClassTag, currentFieldTag, currentMethodTag`

Constructor Summary
`JonasSubTask()` Constructor.

Method Summary
`void` `execute()` Describe what the method does
`String` `getVersion()` Gets the `#version` attribute.
`void` `setVersion(JonasSubTask.JonasVersionTypes version)` Sets the version of JOnAS.

Methods inherited from class xdoclet.modules.ejb.dd.AbstractEjbDeploymentDescriptorSubTask
`atLeastOneCmp1EntityBeanExists, atLeastOneCmp2EntityBeanExists, atLeastOneCmpEntityBeanExists`

Methods inherited from class xdoclet.XmlSubTask
`copyAttributesFrom, engineFinished, getDtdURL, getPublicId, getSchema, getSchemaURL, getSystemId, getUseIds, getXmlencoding, isValidateXML, setDtdURL, setPublicId, setSchema, setSchemaURL, setSystemId, setUseIds, setValidateXML, setXmlencoding, startProcess`

Methods inherited from class xdoclet.TemplateSubTask

`addOfType, addOfType, addPackageSubstitution, engineStarted, generateForClass, getAcceptAbstractClasses, getAcceptInterfaces, getDestinationFile, getEngine, getExtent, getGeneratedFileName, getGenerationManager, getHavingClassTag, getOfType, getPackageSubstitutions, getSubTaskClassName, getTemplateURL, init, isPackageSubstitutionInheritanceSupported, isPrefixWithPackageStructure, javaFile, matchesGenerationRules, processInnerClasses, setAcceptAbstractClasses, setAcceptInterfaces, setDestinationFile, setEngine, setExtent, setExtentValue, setGenerationManager, setHavingClassTag, setOfType, setPackageSubstitutionInheritanceSupported, setPackageSubstitutions, setPrefixWithPackageStructure, setSubTaskClassName, setTemplateFile, setTemplateURL, startEngine, startProcessForAll, startProcessPerClass, validateOptions`

Methods inherited from class xdoclet.SubTask
`addConfigParam, getConfigParams, getConfigParamsAsMap, getContext, getDestDir, getMergeDir, getSubTaskName, getXJavaDoc, setDestDir, setMergeDir, setSubTaskName`

Methods inherited from class xdoclet.DocletSupport
`getCurrentClass, getCurrentClassTag, getCurrentConstructor, getCurrentField, getCurrentFieldTag, getCurrentMethod, getCurrentMethodTag, getCurrentPackage, getCurrentTag, isDocletGenerated, popCurrentClass, pushCurrentClass, setCurrentClass, setCurrentClassTag, setCurrentConstructor, setCurrentField, setCurrentFieldTag, setCurrentMethod, setCurrentMethodTag, setCurrentPackage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JonasSubTask

    public JonasSubTask()

  Constructor.

Method Detail

### getVersion

    public String getVersion()

  Gets the `#version` attribute.

  Returns:
    The version value.

### setVersion

    public void setVersion(JonasSubTask.JonasVersionTypes version)

  Sets the version of JOnAS. Supported versions are: 2.3, 2.4, 2.5, 2.6, 3.0

  Parameters:
    `version` - The new version value. Supported versions are: 2.3, 2.4, 2.5, 2.6, 3.0

### execute

    public void execute()
                 throws XDocletException

  Description copied from class: `TemplateSubTask`
  Describe what the method does

  Overrides:
    `execute` in class `TemplateSubTask`
  Throws:
    `XDocletException` - Describe the exception

http://xdoclet.sourceforge.net/